- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties

# QDoubleValidator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 134 of file qvalidator.h.

`#include <qvalidator.h>`

Inheritance diagram for QDoubleValidator:
[legend]

List of all members.

## Public Types
enum | Notation { StandardNotation, ScientificNotation }
## Public Member Functions
| QDoubleValidator (QObject *parent=0)
| QDoubleValidator (double bottom, double top, int decimals, QObject *parent)
| ~QDoubleValidator ()
QValidator::State | validate (QString &, int &) const
virtual void | setRange (double bottom, double top, int decimals=0)
void | setBottom (double)
void | setTop (double)
void | setDecimals (int)
void | setNotation (Notation)
double | bottom () const
double | top () const
int | decimals () const
Notation | notation () const
## Properties
double | bottom
double | top
int | decimals
Notation | notation

## Member Enumeration Documentation

enum Notation

Search for all occurrences

Enumerator:

  StandardNotation | Search for all occurrences
  ScientificNotation | Search for all occurrences

Definition at line 148 of file qvalidator.h.

                      {
            StandardNotation,
            ScientificNotation
        };

## Constructor & Destructor Documentation

QDoubleValidator | ( | QObject * | parent = `0` | ) | `[explicit]`

QDoubleValidator | ( | double | bottom,
|  | double | top,
|  | int | decimals,
|  | QObject * | parent
| ) |  |

~QDoubleValidator | ( |  | ) |

## Member Function Documentation

QValidator::State validate | ( | QString & | ,
|  | int & |
| ) |  | const `[virtual]`

Search for all occurrences

Implements QValidator.

virtual void setRange | ( | double | bottom,
|  | double | top,
|  | int | decimals = `0`
| ) |  | `[virtual]`

Search for all occurrences

void setBottom | ( | double |  | ) |

Search for all occurrences

void setTop | ( | double |  | ) |

Search for all occurrences

void setDecimals | ( | int |  | ) |

Search for all occurrences

void setNotation | ( | Notation |  | ) |

Search for all occurrences

double bottom | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 161 of file qvalidator.h.

    { return b; }

double top | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 162 of file qvalidator.h.

    { return t; }

int decimals | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 163 of file qvalidator.h.

    { return dec; }

Notation notation | ( |  | ) | const

Search for all occurrences

## Property Documentation

double bottom `[read, write]`

Search for all occurrences

Definition at line 137 of file qvalidator.h.

double top `[read, write]`

Search for all occurrences

Definition at line 138 of file qvalidator.h.

int decimals `[read, write]`

Search for all occurrences

Definition at line 139 of file qvalidator.h.

Notation notation `[read, write]`

Search for all occurrences

Definition at line 141 of file qvalidator.h.

The documentation for this class was generated from the following file:

- QtGui/qvalidator.h

QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator
QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator QDoubleValidator